IARRAY_GET_VALUES(3)

EXPERIMENTAL_FUNC
iarray_get_values - Convert Intelligent Array data to double precision complex values

SYNOPSIS
#include <karma_iarray.h>

void iarray_get_values

(iarray array, CONST uaddr *coords, double *values, flag *complex, unsigned int num_values)

DESCRIPTION
This routine will convert many values along the least significant axis of an Intelligent Array to an array of double precision complex values.

array
    The array.

coords
    The co-ordinate position to start converting from. The length of this array must equal the number of dimensions in the Intelligent Array.

values
    The data values will be written here. Must be a double boundary.

complex
    If the data are a complex type, then the value of TRUE is written here, else the value FALSE is written here. If this is NULL, nothing is written here.

num_values
    The number of data values to convert.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/